# Plot of the symbol error rates for BPSK for ISI channels -- channel 1.
set term postscript eps color 22
set nokey
set grid xtics ytics mytics lw 0.5 lw 0.5
set format y "%2.1e"
set output "isi_bpsk_1.eps"
set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Bit error rate"
plot "bpsktby2_1.dat" t\
     "T/2-spaced ML detector"\
      w lines lt 1 lw 4,\
     "bpskt_1.dat" t "T-spaced ML detector"\
      w lines lt 1 lw 4,\
     "bpskchan1th.dat" t "ML detector theory"\
      w lines lt 1 lw 4
