/******************************************************************************/
#include "teq3type.h"
#include "teq3ext.h"
/******************************************************************************/
/*                            Postprocessor.
*******************************************************************************/
int Postprocess()
{
 Print_Status();
 Print_Errors();
 Close_Files();
 return(0);
}
/******************************************************************************/
/*             Print the important status after simulation.
*******************************************************************************/
Print_Status()
{
 int cnt;
 struct Trellis *prev;
 prev=Lst_Depth->Prv_Depth;
 printf("Metric status of each state.\n\n");
 for(cnt=ZERO;cnt<Rx_States;cnt++)
  printf("\t State:%-3d Metric:%+16.6f\n",cnt,prev->VA_Wght[cnt]);
 printf("\n");
 return(0);
}
/******************************************************************************/
/*    Print the number of errors and the number of valid bits simulated.
*******************************************************************************/
int Print_Errors()
{
 printf("\t Number of symbol errors is %d.\n",Sym_Err);
 printf("\t Number of valid symbols is %d.\n",V_Sym_Cnt);
 return(0);
}
/******************************************************************************/
/*                             Close files.
*******************************************************************************/
int Close_Files()
{
 fclose(fp2);
 fclose(fp3);
 return(0);
}
/******************************************************************************/
