/******************************************************************************/
#include "teq3type.h"
#include "teq3ext.h"
/******************************************************************************/
/*         Get the current symbol during training and communication.
*******************************************************************************/
int Get_Sym()
{
 Get_Random_Sym();
 if(Sym_Cnt>=SEG1)
  Store_Err_Buf();
 Re_Sym=Re_Map[Sym_Num];
 Im_Sym=Im_Map[Sym_Num];
 /*printf("cnt:%d snum:%d Re:%lf Im:%lf\n",Sym_Cnt,Sym_Num,Re_Sym,Im_Sym);*/
 return(0);
}
/******************************************************************************/
/*               Get current symbol during communication.
*******************************************************************************/
int Get_Random_Sym()
{
 int cnt;
 int random(void);
 for(cnt=ZERO;cnt<B_PER_SYM;cnt++)
 {
  R_Bit[cnt]=random()&1;
  if((R_Bit[cnt]!=0)&&(R_Bit[cnt]!=1))
   Error_Mes(19);
 }
 Get_Sym_Number();
 return(0);
}
/******************************************************************************/
/*      Get the current symbol number i.e. convert binary to decimal.
*******************************************************************************/
int Get_Sym_Number()
{
 int cnt,factor;
 Sym_Num=ZERO;
 factor=ONE;
 for(cnt=ZERO;cnt<B_PER_SYM;cnt++)
 {
  Sym_Num=Sym_Num+R_Bit[cnt]*factor;
  factor=factor*2;
 }
 return(0);
}
/******************************************************************************/
/*                           Store in error buffer.
*******************************************************************************/
int Store_Err_Buf()
{
 Err_Buf[Err_Buf_Inx]=Sym_Num;                           /* Store the symbol. */
 Err_Buf_Inx++;
 if(Err_Buf_Inx==ERR_BUF_SIZE)
  Error_Mes(17);
 return(0);
}
/******************************************************************************/
