/******************************************************************************/
/*   Copyright (C) 2005 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
#include "teq6type.h"
#include "teq6ext.h"
/******************************************************************************/
/*                   Get the symbol to be transmitted.
*******************************************************************************/
int Get_Frame()
{
 Get_Data_Bits();
// Print_Enc_Op();
 return(0);
}
/******************************************************************************/
/*                          Get the data bits.
*******************************************************************************/
int Get_Data_Bits()
{
 int cnt,bit,op;
 int rand(void);
 Enc_State=ZERO;                                  /* Encoder state at time 0. */
 for(cnt=ZERO;cnt<FRAME_SIZE;cnt++)
 {
  bit=Bits[cnt]=rand()&1;
  op=Trel_Op[Enc_State][bit];
  Enc_State=Trel_NS[Enc_State][bit];                   /* Get the next state. */
  Enc_Op[TWO*cnt]=bit;
  Enc_Op[TWO*cnt+ONE]=op;
 }
 return(0);
}
/******************************************************************************/
/*                   Print the input bits to both encoders.
*******************************************************************************/
int Print_Input_Bits()
{
 int cnt;
 printf("\t Input bits to 1st encoder:\n\n");
 for(cnt=ZERO;cnt<FRAME_SIZE;cnt++)
  printf("\t Time:%6d Enc1 bit:%d\n",cnt,Bits[cnt]);
 printf("\n");
 return(0);
}
/******************************************************************************/
/*                            Print the symbols.
*******************************************************************************/
int Print_Enc_Op()
{
 int cnt;
 printf("\t Transmitted bits:\n\n");
 for(cnt=ZERO;cnt<CH_IV_SIZE;cnt++)
 {
  printf("\t Time:%6d bit:%d\n",cnt,Enc_Op[cnt]);
 }
 printf("\n");
 return(0);
}
/******************************************************************************/
