# Plot of the EXIT chart for the Singer's turbo equalization scheme with
# precoding. SNR per bit is 2 dB. Channel type 1.
#set term postscript eps color 22
set key left box
set grid xtics ytics mytics lw 0.5 lw 0.5
#set format y "%2.1e"
#set output "tc.eps"
#set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "excc.dat" t "CC MAP decoder"\
      w lp lt -1 lw 1 pt 1 ps 2,\
     "exch.dat" t "Channel MAP decoder"\
      w lp lt -1 lw 1 pt 2 ps 2
