/******************************************************************************/
/*   Copyright (C) 2005 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
#include "teqex6type.h"
#include "teqex6ext.h"
/******************************************************************************/
/*                   Get the symbol to be transmitted.
*******************************************************************************/
int Get_Frame()
{
 int cnt,bit,op;
 int rand(void);
 Enc_State=ZERO;                                  /* Encoder state at time 0. */
 for(cnt=ZERO;cnt<FRAME_SIZE;cnt++)
 {
  bit=rand()&1;
  op=Trel_Op[Enc_State][bit];
  Enc_State=Trel_NS[Enc_State][bit];                   /* Get the next state. */
  Enc_Op[TWO*cnt]=bit;
  Enc_Op[TWO*cnt+ONE]=op;
  P_Sym[TWO*cnt]=Bit_Map[bit];
  P_Sym[TWO*cnt+ONE]=Bit_Map[op];
 }
 return(0);
}
/******************************************************************************/
