# Plot of the EXIT chart for the CDFE-STMAP receiver and the trajectories
# for various framesizes.
# SNR per bit is 2 dB. Channel type 1.
##set term postscript eps color 22
#set term postscript eps enhanced color
set key left box
set grid xtics ytics mytics lw 0.5 lw 0.5
#set format y "%2.1e"
#set output "teqtjexch1.eps"
#set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../teqex2/teqex2data/teqex2ccch1snr2nopre.dat"\
      t "CC MAP"\
      w l lt -1,\
     "../teqex8/teqex8data/teqex8ideqchch1snr2fb1_10_4.dat"\
      t "PDFE-STMAP"\
      w lp lt -1 lw 1 pt 1 ps 1,\
     "../teq8traj/teq8tjdata/teq8tjideq_ga_10_3.dat"\
      t "Traj. of PDFE-STMAP GA, L=10^3"\
      w lp lt -1 lw 1 pt 2 ps 1,\
     "../teq8traj/teq8tjdata/teq8tjideq_10_3.dat"\
      t "Traj. of PDFE-STMAP, L=10^3"\
      w lp lt -1 lw 1 pt 3 ps 1
