# Plot of the EXIT chart for various receivers.
# SNR per bit is 2 dB. Channel type 1.
##set term postscript eps color 22
set term postscript eps color
set key left box
set grid xtics ytics mytics lw 0.5 lw 0.5
#set format y "%2.1e"
set output "teqexch1.eps"
#set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../teqex2/teqex2data/teqex2ccch1snr2nopre.dat"\
      t "CC MAP"\
      w l lt -1,\
     "../teqex2/teqex2data/teqex2chch1snr2nopre.dat"\
      t "Classical TEQ, 4-states"\
      w lp lt -1 lw 1 pt 1,\
     "../teqex2/teqex2data/teqex2chch1snr2pre.dat"\
      t "TEQ + precoding, 4-states"\
      w lp lt -1 lw 1 pt 2,\
     "../teqex6/teqex6data/teqex6chch1snr2.dat"\
      t "STMAP decoder, 16-states"\
      w lp lt -1 lw 1 pt 3,\
     "../teqex8/teqex8data/teqex8ideqchch1snr2fb1_10_5.dat"\
      t "PDFE-STMAP decoder, 8-states"\
      w lp lt -1 lw 1 pt 4
