/******************************************************************************/
/*   Copyright (C) 2005 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
/******************************************************************************/
#define MIN_SNR 0
#define MAX_SNR 6.25
#define STEP 0.25
/******************************************************************************/
FILE *fp;
/******************************************************************************/
main()
{
 double Snr_dB,Snr,sum;
 Open_File();
 for(Snr_dB=MIN_SNR;Snr_dB<MAX_SNR;Snr_dB=Snr_dB+STEP)
 {
  Snr=pow(10.0,0.1*Snr_dB);
  sum=0.5*erfc(sqrt(2.5*Snr));
  sum=sum+2.0*erfc(sqrt(3.0*Snr));
  sum=sum+6.0*erfc(sqrt(3.5*Snr));
  fprintf(fp,"%lf %16.12lf\n",Snr_dB,sum);
 }
}
/******************************************************************************/
/*                         Open the file for writing.
*******************************************************************************/
int Open_File()
{
 fp=fopen("teq2data/noisi.dat","w");
 if(fp == NULL)
 {
  printf("\t Directory does not exist.\n\n");
  exit(-1);
 }
 return(0);
}
/******************************************************************************/
