/******************************************************************************/
/*   Copyright (C) 2005 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
#include "teq6type.h"
#include "teq6ext.h"
/******************************************************************************/
/*                   Get the spread factor of the interleaver.
*******************************************************************************/
int Get_Spread_Factor()
{
 int cnt1,diff,min,s;
 for(s=ONE;s<CH_IV_SIZE;s++)
 {
  cnt1=ZERO;
  min=10*IV_SIZE;
  while((cnt1+s) < CH_IV_SIZE)
  {
   diff=abs(Ch_Iv_Map[cnt1]-Ch_Iv_Map[cnt1+s]);
   if(diff < min)
    min=diff;
   cnt1++;
  }
  Sp_Fac[s]=min;
 }
 Print_Spread_Fac();
 return(0);
}
/******************************************************************************/
/*                         Print the spread factors.
*******************************************************************************/
int Print_Spread_Fac()
{
 int cnt;
 for(cnt=ONE;cnt<CH_IV_SIZE;cnt++)
  printf("\t I/p diff:%d O/p diff:%d\n",cnt,Sp_Fac[cnt]);
 fflush(stdout);
 return(0);
}
/******************************************************************************/
