# Plot of the EXIT chart for the Singer's turbo equalization scheme with
# and without precoding for various SNRs. Channel type 1.
#set term postscript eps color 22
set term postscript eps color
set key left box
set grid xtics ytics mytics lw 0.5 lw 0.5
#set format y "%2.1e"
set output "teqexsingch1.eps"
#set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../teqex2/teqex2data/teqex2ccch1snr2nopre.dat"\
      t "CC MAP"\
      w l lt -1,\
     "../teqex2/teqex2data/teqex2chch1snr2nopre.dat"\
      t "No precoding, Eb/N0 = 2 dB"\
      w lp lt -1 lw 1 pt 2,\
     "../teqex2/teqex2data/teqex2chch1snr2pre.dat"\
      t "With precoding, Eb/N0 = 2 dB"\
      w lp lt -1 lw 1 pt 3,\
     "../teqex2/teqex2data/teqex2chch1snr3pre.dat"\
      t "With precoding, Eb/N0 = 3 dB"\
      w lp lt -1 lw 1 pt 4,\
     "../teqex2/teqex2data/teqex2chch1snr3nopre.dat"\
      t "No precoding, Eb/N0 = 3 dB"\
      w lp lt -1 lw 1 pt 5
